[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [equinox-dev] osgi bundle source required for equinox aspects in a runtime workspace

H Andrew,

The osgi bundle source is required for developing an application that
uses equinox aspects.  What is the reason for this?  And is there any
way around this requirement?

See also: https://bugs.eclipse.org/bugs/show_bug.cgi?id=143696

The reason why I ask is that I upgraded to using org.eclipse.osgi head
and equinox aspects stopped weaving, but when I reverted back to the
3.4 maintenance branch seems to be working fine again.

This doesn't sound good anyway. We should take a look at this.

Would be nice if I didn't have to maintain a copy of this plugin
myself, but could use the binary copy of my eclipse installation.

You could also import the bundle from your installation as source bundle, if you like.


-Martin





--a

ps- apologies if this was sent twice.  I think I originally sent to
the wrong mailing list.
_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/equinox-dev